import { SimpleLocalIntegration } from '../../core/index.js';
import { UpcConnectConfigFlow } from './upc_connect.classes.configflow.js';
import { createUpcConnectDiscoveryDescriptor } from './upc_connect.discovery.js';
import type { IUpcConnectConfig } from './upc_connect.types.js';
import { upcConnectDomain, upcConnectProfile } from './upc_connect.types.js';

export class UpcConnectIntegration extends SimpleLocalIntegration<IUpcConnectConfig> {
  public readonly domain = upcConnectDomain;
  public readonly discoveryDescriptor = createUpcConnectDiscoveryDescriptor();
  public readonly configFlow = new UpcConnectConfigFlow();

  constructor() {
    super(upcConnectProfile);
  }
}

export class HomeAssistantUpcConnectIntegration extends UpcConnectIntegration {}
